/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: configversion.c 77237 2003-01-31 05:42:32Z flamemgr $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* rschmutz  28/01/03  Use only revision number.
*/

/*+                     C O N F I G V E R S I O N

 *  Module name:
      CONFIGVERSION

 *  Function:
      Version module for 2dF configure

 *  Description:
      This module is compiled into an object of the name
        
           config_VER.o

      where VER is the release version number.  All this module
      does it allow the version number and date to be set from
      the make file.  Other modules reference the variables
      ConfigVersion and ConfigDate to get the version number and version
      date.

 *  Language:
      C

 *  Support: Tony Farrell, AAO

 *-

 *  History:
      27-Jan-1999 - TJF - Original version
      02-Sep-1999 - KS  - Make sure this compiles even if version number
                          and date are not specified in the make file.
      27-Sep-2000 - KS  - Now uses __DATE__.
 


 * Sccs Id:     configversion.c, Release 1.1, 01/30/01

 */
 
#ifndef CONFIG_VER
#define CONFIG_VER "$Revision: 115.0.3 $"
#endif

const char * const ConfigVersion= CONFIG_VER;
